/* @override 
	https://grasp.paducahprinting.net/sys/css/grasp.css */
body > section.display {
  margin-top: 2em !important;
  width: 92%;
  margin: auto;
}


.overflow{
    width: 80%;
    height: 400px;
    margin: auto;
    overflow: scroll;
    padding: .5em;
    box-sizing: border-box;
    border: 1px solid #cacaca;
    margin-bottom: 2em;
}
.overflow::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
    height: 7px;
    -webkit-overflow-scrolling: auto;
}
.overflow::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0,0,0,.5);
    -webkit-box-shadow: 0 0 1px rgba(255,255,255,.5);
}
.grasp-centered{
    width: 100%;
    clear: both;
    display: block;
    margin: auto;
    text-align: center;
}

/* @group Preview Data */

.previewData {
    margin: .5em;
}
.previewData tr {
    border-top: solid #cecece 1px;
}
.previewData tr:first-of-type {
    font-weight: bold;
    border-bottom: solid #cecece 1px;
    border-top: 0;
}
.previewData tr:last-of-type {
    border-bottom: solid #cecece 1px;
}
.previewData tr td, .previewData tr th {
    border: #cecece solid 1px;
    white-space: nowrap;
}
.previewData tr td {
    padding: .25em !important;
    box-sizing: border-box;
}
.previewData .select {
    width: 100%;
}

.previewData .select select {
    width: 100%;
}

/* @end */

/* @group Import Clients */
.clientDataUpload label .file-cta{
    display: none !important;
}
.clientDataUpload  input[type="file"]::file-selector-button  {
    -webkit-appearance: none !important;
    padding: .6em !important;
    background-color: #b2b2b2;
    color: #fff;
    border: 0;
    border-radius: 3px  ;
}
.clientDataUpload  input[type="file"]::file-selector-button:hover{
    cursor: pointer;
    background-color: #00b89c;
}

.importClients{
    text-align: center;
}
.importClientOptions {
    padding: .2em;
}

.tableRow {
    display: grid;
    text-decoration: none;
    color: inherit;
    grid-template-columns: repeat(4, 70px);
    place-items: center;
    border: 2px solid #ccd2ff;
    border-bottom: none;
    cursor: pointer;
}
.tableRow:hover,
.tableRow:focus {
     background: #f2f3ff;
     outline: none;
 }

.tableRow:last-child {
     border-bottom: 2px solid #ccd2ff;
 }

.graspTable {
    width: 100% !important;
    margin: auto !important;
}
.tableCell {
    padding: 18px;
    border-right: 2px solid #ccd2ff;
}
.tableCell:last-child {
     border-right: none;
 }
.telephoneButton {
    display: inline-block;
    padding: .1em .25em;
    margin-left: 1em;
    border: #00b89c 1px solid;
    border-radius: 4px;
}
.telephoneButton:hover {
    background-color: #00b89c;
    color: #fff;
}

/* @end */

#map {
    min-height: 350px;
    height: 100%
}
table td.no-wrap {
    box-sizing: border-box;
    width: 100px;
    max-width: 100px;
    white-space: nowrap;
    overflow: hidden;
}
table td.no-wrap:hover,
table td.no-wrap:focus{
    white-space: pre-line;

}

/* @group Collapsible Fieldsets */

.collapsible, .collapsible.expanded {
    
}

.collapsible.collapsed {
	
}

.collapsible legend {
	font-weight: bold;
	cursor: pointer;
	padding-left: 10px;
}

.collapsible legend, .collapsible.expanded legend {
	background: transparent url("../img/expanded.gif") no-repeat center left !important;
}

.collapsible.collapsed legend {
	background: transparent url("../img/collapsed.gif") no-repeat center left !important;
}


/* @end */

/* @group Primary Menu */

.mainmenu {
    position: relative;
}
.mainmenu a {
    color: #fff;
}
.mainmenu a:hover {
    color: #d1fff8;
}
.mainmenu ul{
    list-style:none;
    z-index: 10;
    font-size: 0;
    background-color: #777777;
}
.mainmenu > ul > li{
    position: relative !important;
    display: inline-block;
    margin: 0 !important;
    padding: 0 !important;
    list-style-type: none;
    white-space-collapsing:discard
}
.mainmenu > ul > li:first-child {
    border-left: none;
}
.mainmenu > ul > li:last-child {
    border-right: none;
}
.mainmenu > ul > li:hover{
    color: #fff;
}
.mainmenu > ul > li > a,
.mainmenu > ul > li > .nolink{
    text-decoration: none;
    line-height: 50px;
    padding: 0px 30px;
    display: inline-block;
    box-sizing: border-box;
    white-space: nowrap;
    font-size: medium;
}
.mainmenu > ul > li a:hover,
.mainmenu > ul > li > .nolink:hover{
    color: #d1fff8;
    -webkit-font-smoothing: antialiased;
}
.mainmenu > ul > li.sub.active > a,
.mainmenu > ul > li.sub.active > .nolink{
    color: #fff;
    white-space: nowrap;
    -webkit-font-smoothing: antialiased;
}
.mainmenu > ul li.current-menu-item
{
    background:#ddd
}

.mainmenu > ul li > ul
{
    display:none;
    position:absolute;
    top:100%;
    left:0;
    background: #777;
    padding:0;
    box-sizing: border-box;
    border-top: 1px solid #555;
}

.mainmenu > ul ul li
{
    position: relative;
    float:none;
    width:100%;
    padding: 0px;
}
.mainmenu > ul ul li:hover{
    background-color: #8a8a8a;
    color: #fff;
}
.mainmenu > ul li ul a
{
    display: block;
    height: 36px;
    line-height:36px;
    padding: 0px 8px;
    text-decoration: none;
    text-align: left;
}

.mainmenu > ul ul ul
{
    top:-1px;
    left:100%
}

.mainmenu > ul li:hover > ul
{
    width: 13em;
    display:block;
    font-size: medium;
}

/* @end */
/* @group Fieldsets */
.collapsible, .collapsible.expanded {
    margin: 1em;
    border: 1px solid #333;
    padding: .5em;
}
fieldset.collapsible > div > fieldset.collapsible{

    border: 1px solid #ccc;
}
.collapsible.collapsed {

}

.collapsible legend {
    font-weight: bold;
    cursor: pointer;
    padding-left: 10px;
}

.collapsible legend, .collapsible.expanded legend {
    background: transparent url("../img/expanded.gif") no-repeat center left;
    padding-left: 1em;
}

.collapsible.collapsed legend {
    background: transparent url("../img/collapsed.gif") no-repeat center left;
}

/* @end */